#
# spec file for package python-sphinxcontrib-actdiag
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-actdiag
Version:        0.8.5
Release:        1.1
Summary:        Sphinx actdiag extension
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://github.com/blockdiag/sphinxcontrib-actdiag
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-actdiag/sphinxcontrib-actdiag-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 0.6
Requires:       python-actdiag >= 0.5.3
Requires:       python-blockdiag >= 1.5.0
BuildArch:      noarch

%python_subpackages

%description
A sphinx extension for embedding activity diagram using actdiag_.

%prep
%setup -q -n sphinxcontrib-actdiag-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Sep  7 2017 tbechtold@suse.com
- Initial packaging (version 0.8.5)
